<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Calculate the NMS Result with the Smallest Stress from Various Random Starts</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for NMSrandom {BiodiversityR}"><tr><td>NMSrandom {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Calculate the NMS Result with the Smallest Stress from Various Random Starts</h2>


<h3>Description</h3>

<p>
This function provides a simplified version of the method of calculating NMS results implemented by the function <code><a href="../../vegan/html/metaMDS.html">metaMDS</a></code> (<STRONG>vegan</STRONG>).
</p>


<h3>Usage</h3>

<pre>
NMSrandom(x,perm=100,k=2,stressresult=F,method="isoMDS")
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Distance matrix. </td></tr>
<tr valign="top"><td><code>perm</code></td>
<td>
Number of permutations to select the configuration with the lowest stress. </td></tr>
<tr valign="top"><td><code>k</code></td>
<td>
Number of dimensions for the non metric scaling result; passed to <code><a href="../../MASS/html/isoMDS.html">isoMDS</a></code> or <code><a href="../../MASS/html/sammon.html">sammon</a></code>. </td></tr>
<tr valign="top"><td><code>stressresult</code></td>
<td>
Provide the calculated stress for each permutation. </td></tr>
<tr valign="top"><td><code>method</code></td>
<td>
Method for calculating the NMS:  <code><a href="../../MASS/html/isoMDS.html">isoMDS</a></code> or <code><a href="../../MASS/html/sammon.html">sammon</a></code>. </td></tr>
</table>

<h3>Details</h3>

<p>
This function is an easier method of calculating the best NMS configuration after various random starts than implemented in the <code><a href="../../vegan/html/metaMDS.html">metaMDS</a></code> function (<STRONG>vegan</STRONG>). The function uses a distance matrix (as calculated for example by function <code><a href="../../vegan/html/vegdist.html">vegdist</a></code> from a community data set) and calculates random starting positions by function <code><a href="../../vegan/html/metaMDS.html">initMDS</a></code> (<STRONG>vegan</STRONG>) analogous to <code><a href="../../vegan/html/metaMDS.html">metaMDS</a></code>.
</p>


<h3>Value</h3>

<p>
The function returns the NMS ordination result with the lowest stress (calculated by <code><a href="../../MASS/html/isoMDS.html">isoMDS</a></code> or <code><a href="../../MASS/html/sammon.html">sammon</a></code>.), or the stress of each NMS ordination.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
library(MASS)
data(dune)
distmatrix &lt;- vegdist(dune)
Ordination.model1 &lt;- NMSrandom(distmatrix,perm=100,k=2)
Ordination.model1 &lt;- add.spec.scores(Ordination.model1,dune, 
    method='wa.scores')
Ordination.model1
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
